import request from '@/utils/request'

// 查询艺术分类列表
export function listMallArt(query) {
  return request({
    url: '/mall/mallArt/list',
    method: 'get',
    params: query
  })
}

// 查询艺术分类详细
export function getMallArt(artId) {
  return request({
    url: '/mall/mallArt/' + artId,
    method: 'get'
  })
}

// 新增艺术分类
export function addMallArt(data) {
  return request({
    url: '/mall/mallArt',
    method: 'post',
    data: data
  })
}

// 修改艺术分类
export function updateMallArt(data) {
  return request({
    url: '/mall/mallArt',
    method: 'put',
    data: data
  })
}

// 删除艺术分类
export function delMallArt(artId) {
  return request({
    url: '/mall/mallArt/' + artId,
    method: 'delete'
  })
}
